datablock WheeledVehicleTire(HoverjeepTire:jeepTire)
{
   //shapeFile = jeepTire.shapeFile;
   radius=1;
   shapefile = "./tire.dts";
   //shapeFile = "add-ons/vehicle_tank/emptywheel.dts";
   lateralForce = 2000;
   lateralDamping = 100;
};
datablock WheeledVehicleTire(EmptyTire)
{
   radius=0;
   shapefile = "";
};
datablock WheeledVehicleSpring(HoverJeepSpring:jeepSpring)
{
   length = 0.4;
   force = 4000;
   damping = 500;
   antiSwayForce = 10;
};
datablock WheeledVehicleData(HoverJeepVehicle : JeepVehicle)
{
   defaultTire	= HoverJeepTire;
	defaultSpring	= HoverJeepSpring;

   maxWheelSpeed=42;	
	maxSteeringAngle = 0.7;
	
	brakeTorque = 5000;
	
	tireEmitter = "";
      
	uiName = "Hover Jeep";
};
function HoverJeepVehicle::onAdd(%this,%obj)
{
   for(%i = 0; %i < %this.numWheels; %i++)
   {
      %obj.setWheelTire(%i, %this.defaultTire);
      %obj.setWheelSpring(%i, %this.defaultSpring);
   }

   %obj.setWheelSteering(0,1);
   %obj.setWheelSteering(1,1);
   %obj.setWheelSteering(2,0);
   %obj.setWheelSteering(3,0);

   %obj.setWheelPowered(0,1);
   %obj.setWheelPowered(1,1);
   %obj.setWheelPowered(2,1);
   %obj.setWheelPowered(3,1);

   %obj.creationTime = getSimTime();      
}